zlanhe.f(3)

NAME
zlanhe.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function ZLANHE (NORM, UPLO, N, A, LDA, WORK)
ZLANHE

Function/Subroutine Documentation

  DOUBLE PRECISION function ZLANHE (CHARACTERNORM, CHARACTERUPLO, INTEGERN, COMPLEX*16, dimension( lda, * )A, INTEGERLDA, DOUBLE PRECISION, dimension( * )WORK)

ZLANHE

Purpose:

     ZLANHE  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     complex hermitian matrix A.

Returns:
    ZLANHE

        ZLANHE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in ZLANHE as described
              above.

    UPLO

              UPLO is CHARACTER*1
              Specifies whether the upper or lower triangular part of the
              hermitian matrix A is to be referenced.
              = 'U':  Upper triangular part of A is referenced
              = 'L':  Lower triangular part of A is referenced

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, ZLANHE is
              set to zero.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The hermitian matrix A.  If UPLO = 'U', the leading n by n
              upper triangular part of A contains the upper triangular part
              of the matrix A, and the strictly lower triangular part of A
              is not referenced.  If UPLO = 'L', the leading n by n lower
              triangular part of A contains the lower triangular part of
              the matrix A, and the strictly upper triangular part of A is
              not referenced. Note that the imaginary parts of the diagonal
              elements need not be set and are assumed to be zero.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(N,1).

    WORK

              WORK is DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
              where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
              WORK is not referenced.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 125 of file zlanhe.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.